Bug 462170 - gvim ignores space committed by gtk im module.
gvim ignores space committed by gtk im module.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: 0xFFFF (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 05:27 EDT by Peng Huang
Modified: 2009-11-24 00:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for fixing this problem (876 bytes, patch)
2008-09-13 06:00 EDT, Peng Huang
no flags Details | Diff

  None (edit)
Description Peng Huang 2008-09-13 05:27:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):
vim-vimoutliner-0.3.4-10.fc10.noarch
vim-X11-7.2.013-1.fc10.i386
vim-common-7.2.013-1.fc10.i386
vim-minimal-7.2.013-1.fc10.i386
vim-enhanced-7.2.013-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. run gvim
2. Use Ctrl + Space to enable ibus input method
3. Choice PinYin engine
4. Press Space key
  
Actual results:
Nothing happens

Expected results:
Input ' ' (space) in gvim


Additional info:
Comment 1 Peng Huang 2008-09-13 06:00:26 EDT
I found the problem is in  file mbyte.c function xim_queue_key_press_event. 
In this function, gvim will set global values xim_expected_char & xim_ignored_char before call  gtk_im_context_filter_keypress, to let gvim ignore the char stored in xim_expected_char during gtk_im_context_filter_keypress. But before returning from xim_queue_key_press_event, gvim does not clear those two global variables. It will cause gvim ignore the char stored in xim_expected_char forever.
Comment 2 Peng Huang 2008-09-13 06:00:51 EDT
Created attachment 316662 [details]
patch for fixing this problem
Comment 3 Bug Zapper 2008-11-25 22:04:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:23:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peng Huang 2009-11-24 00:25:52 EST
It does not happend in f12. So close it.

Note You need to log in before you can comment on or make changes to this bug.